#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint8_t uint8_eq_const_0_0;
    int16_t int16_eq_const_1_0;
    int32_t int32_eq_const_2_0;
    uint8_t uint8_eq_const_3_0;
    int32_t int32_eq_const_4_0;
    uint32_t uint32_eq_const_5_0;

    if (size < 16)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&int16_eq_const_1_0, &data[i], 2);
    i += 2;
    memcpy(&int32_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&uint8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&int32_eq_const_4_0, &data[i], 4);
    i += 4;
    memcpy(&uint32_eq_const_5_0, &data[i], 4);
    i += 4;


    if (uint8_eq_const_0_0 == 246)
    if (int16_eq_const_1_0 == -6716)
    if (int32_eq_const_2_0 == 315829211)
    if (uint8_eq_const_3_0 == 66)
    if (int32_eq_const_4_0 == 1381886649)
    if (uint32_eq_const_5_0 == 2831171464)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
